1. PilotPhil81's Avatar
    I used to have a 8530, then I switched to the verizon iphone. I had another line that I never used so I decided to buy a used 9330. I don't like the new os. It seems slow and glitchiey. I thought the web browser was going to be faster too but it seems to only be %10 faster the BB5 browser. Is there any way I can get a os 5 theme or switch back to os 5?

    Posted from my CrackBerry at wapforums.crackberry.com
    08-06-11 09:06 PM
  2. Foreverup's Avatar
    Yeah you should of waited like 2 weeks for OS7 devices
    gravymonster likes this.
    08-06-11 09:23 PM
  3. KhalilAlkak's Avatar
    Hey there, okay so i assume you don't have the lastest version, upgrade to
    Mine runs very smooth, although i have the 9300 but i don't see any difference
    I recommend doing a wipe before updating, OS 6 is AWESOME
    If all of these fail, you can downgrade by downloading OS 5 (i'll post a link if you can't find)
    Good Luck !

    EDIT : I recommend going back to your older device also.

    EDIT 2 : - https://swdownloads.blackberry.com/D...7BE216CF4644B5 <--- Blackberry OS
    Last edited by KhalilAlkak; 08-06-11 at 09:40 PM.
    08-06-11 09:30 PM
  4. _StephenBB81's Avatar
    1: I would return the 9330, The Curve certainly ISN'T the device to judge OS6 on, there are a lot of flaws with OS6, (OS7 is fixing some) and hardware isn't that great with OS6 on the 9330,

    if you don't need the second line wait for the Next curve running OS7 to launch it will have an 800mhz processor, and will have the ability to kill the extra app panes that are in OS6 which are hard to get used to coming from OS5
    08-06-11 09:36 PM
  5. PilotPhil81's Avatar
    I didn't use an upgrade for this phone. I baught it used online. I am going to get the new 9900 when it come to verizon. I just needed something for my BB fix. I am a BlackBerry and IOS fanboy. So now I have both an am verry happy. Can't wait till OS7. Thanks for the advice.

    Posted from my CrackBerry at wapforums.crackberry.com
    08-06-11 09:47 PM
  6. jlarkins08's Avatar
    You can always downgrade your 9330 back to 5.0 OS.. Did it twice.. I tried 6 it just doesn't work for me... Download the lasted version of 5 and use DM to install it on your bb...

    Posted from my CrackBerry at wapforums.crackberry.com
    08-06-11 10:46 PM